
Redmine - Patch #36730

Replace Member.find_or_new with ActiveRecord's find_or_initialize_by

2022-03-06 03:38 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

Member.find_or_new can be replaced with ActiveRecord's find_or_initialize_by introduced in Rails 4.

https://api.rubyonrails.org/classes/ActiveRecord/Relation.html#method-i-find_or_initialize_by

Related issues:

Related to Redmine - Feature #36696: Improve performance of adding or removin... Closed

Associated revisions

Revision 21456 - 2022-03-14 15:25 - Go MAEDA

Replace Member.find_or_new with ActiveRecord's find_or_initialize_by (#36730).

History

#1 - 2022-03-06 03:45 - Go MAEDA

- Related to Feature #36696: Improve performance of adding or removing members of a group added

#2 - 2022-03-06 03:49 - Go MAEDA

In r21447, I already replaced some Member.find_or_new.

#3 - 2022-03-07 06:40 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#4 - 2022-03-14 15:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

Files

find_or_initialize_by.patch 2.52 KB 2022-03-06 Go MAEDA
